<mat-form-field>
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
</mat-form-field>
<a routerLink="/reportrj" routerLinkActive="active" mat-raised-button color="primary" id="report">Report</a>
<div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>

        <ng-container matColumnDef="no">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No </th>
            <td mat-cell *matCellDef="let row"> {{row.no}} </td>
        </ng-container>

        <ng-container matColumnDef="tiket">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> No Registrasi </th>
            <td mat-cell *matCellDef="let row"> {{row.tiket}} </td>
        </ng-container>

        <ng-container matColumnDef="dokter">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Dokter </th>
            <td mat-cell *matCellDef="let row" class="w-15-p"> {{row.dokter}} </td>
        </ng-container>

        <ng-container matColumnDef="tanggal">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Tanggal </th>
            <td mat-cell *matCellDef="let row"> {{row.tanggal | date: 'dd-MM-yyyy'}} </td>
        </ng-container>

        <ng-container matColumnDef="verifikasi">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Verifikasi </th>
            <td mat-cell *matCellDef="let row"> {{row.Verifikasi}} </td>
        </ng-container>

        <ng-container matColumnDef="plyn">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Jenis Pelayanan </th>
            <td mat-cell *matCellDef="let row" class="w-15-p"> {{row.plyn}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
            <td mat-cell *matCellDef="let row"> {{row.status}} </td>
        </ng-container>

        <ng-container matColumnDef="detail">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Detail </th>
            <td mat-cell *matCellDef="let row">
                <button mat-stroked-button (click)="openDialogDetail(row)">Lihat</button>
                <button mat-stroked-button (click)="showDetail(row)">Pengkajian</button>
            </td>
        </ng-container>

        <ng-container matColumnDef="obat">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Obat </th>
            <td mat-cell *matCellDef="let row"> <button mat-stroked-button (click)="openDialogObat(row.tiket,row.tanggal)">Lihat</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;">
        </tr>
    </table>

    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" showFirstLastButtons></mat-paginator>
</div>